## indicator-sound 12.10.2+14.04.20140401-1linuxmint1

=== debian/changelog ===
indicator-sound (12.10.2+14.04.20140401-1linuxmint1) qiana; urgency=medium

  * Use pavucontrol if it's installed 

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jun 2014 12:03:36 +0100

indicator-sound (12.10.2+14.04.20140401-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Use correct dbus name for Unity Greeter.

  [ Ted Gould ]
  * Don't unref the objects in the test
  * Check the username has been gotten before using it. (LP: #1297078)
  * Make unity-greeter-session-broadcast a suggests to avoid pulling it
    into seeds
  * Remove mute from the phone greeter

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Apr 2014 23:21:06 +0000

indicator-sound (12.10.2+14.04.20140324-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Sync volume and mute settings with AccountsService. (LP: #840777)

  [ Ted Gould ]
  * Add an apport hook for debugging
  * Synchronize process management across indicators
  * Export currently running player to Accounts Service
  * Create players on the phone greeter based on the accounts service
    data
  * Allow the phone greeter player to control the running player in the
    session.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Mar 2014 15:03:16 +0000

indicator-sound (12.10.2+14.04.20140320-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Scale volume in notifications when allow-amplified-volume is set
    (LP: #1293163)
  * Use audio-volume-mute-blocking-panel instead of *-blocked-panel

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Mar 2014 08:58:30 +0000

indicator-sound (12.10.2+14.04.20140318-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Show a red icon in the panel when a sound is playing while mute is
    on (LP: #1291530)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Mar 2014 10:01:01 +0000

indicator-sound (12.10.2+14.04.20140313-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Don't show player sections on the greeter and lock screen (LP:
    #1280378)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Mar 2014 15:33:11 +0000

indicator-sound (12.10.2+14.04.20140311.1-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Add desktop_lockscreen profile

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Mar 2014 18:26:29 +0000

indicator-sound (12.10.2+14.04.20140305-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Honor com.canonical.indicator.sound visible (LP: #829648)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Mar 2014 08:44:14 +0000

indicator-sound (12.10.2+14.04.20140224-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * Remove the new added allow-applified key, it's moved to shared
    schemas, that way the other desktop components don't need to depends
    on indicator-sound only to read that settings

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Feb 2014 14:33:07 +0000

indicator-sound (12.10.2+14.04.20140220-0ubuntu1) trusty; urgency=low

  [ Lars Uebernickel ]
  * Add support for amplified volumes Add a settings key "allow-
    amplified-volume" which controls whether the volume slider stops at
    100% or PA_VOLUME_UI_MAX. unity-control-center will provide a ui for
    this key.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Feb 2014 18:13:42 +0000

indicator-sound (12.10.2+14.04.20140207-0ubuntu1) trusty; urgency=low

  [ Unit193 ]
  * Drop the recommends to suggests for the control centers and system
    settings so that flavors that don't seed those packages aren't stuck
    with them.

  [ Ted Gould ]
  * Adding acceptance tests and merge review policies.

  [ CI bot ]
  * Adding acceptance tests and merge review policies

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Feb 2014 16:26:07 +0000

indicator-sound (12.10.2+14.04.20140124-0ubuntu1) trusty; urgency=low

  [ Robert Ancell ]
  * Use unity-control-center if it is available. (LP: #1257505)

  [ Ted Gould ]
  * Own the server capabilities so we clean it up.

  [ Lars Uebernickel ]
  * Don't write 'interested-media-players' on startup
    IndicatorSound.Service read that gsettings key and inserted the
    players desktop ids into a MediaPlayerList, which emits "player-
    added" every time a player is added. This patch makes the service
    keep track of whether players are added because it is syncing the
    key or when a player appeared on the bus. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 408

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 24 Jan 2014 11:00:18 +0000

indicator-sound (12.10.2+14.04.20131125-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Switching around the config files. (LP: #1185565)
  * Fix license information.
  * Test name watching utilities.

  [ Lars Uebernickel ]
  * Call Raise() when a media player is already running Before, it was
    repeatedly launching the player. This patch also make the menu item
    insensitive if the player can't be raised. (LP: #710824)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 404

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Nov 2013 03:56:15 +0000

indicator-sound (12.10.2+14.04.20131029.1-0ubuntu1) trusty; urgency=low

  [ Dmitrijs Ledkovs ]
  * Define "ubiquity" indicator profile, reusing the greeter object. (LP:
    #1241539)

  [ Charles Kerr ]
  * When we can't connect to pulse, wait a moment before retrying. (LP:
    #1244010)
  * In Service's volume_changed() function, explicitly instantiate the
    GVariant to avoid leaking it. See the description in bug #1244468
    for before & after C code and more information. (LP: #1244468)
  * Test that MediaPlayer's icon property isn't NULL before we serialize
    it. (LP: #1229612)

  [ Sebastien Bacher ]


=== debian/control ===
Source: indicator-sound
Section: sound
Priority: extra
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Conor Curran <conor.curran@canonical.com>
Build-Depends: debhelper (>= 9.0),
               cmake,
               dbus,
               dbus-test-runner (>= 14.04.0+14.04.20140226),
               dh-translations,
               gir1.2-accountsservice-1.0,
               gnome-common,
               autotools-dev,
               valac (>= 0.20),
               libaccountsservice-dev,
               libdbustest1-dev (>= 14.04.1),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.22.3),
               libgtest-dev,
               liburl-dispatcher1-dev,
               libpulse-dev (>= 0.9.18),
               libpulse-mainloop-glib0 (>= 0.9.18),
               libnotify-dev,
               libgee-dev,
               libxml2-dev,
               python3-dbusmock,
Standards-Version: 3.9.4
Homepage: https://launchpad.net/indicator-sound
# If you aren't a member of ~indicator-applet-developers but need to upload
# packaging changes, just go ahead.  ~indicator-applet-developers will notice
# and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~indicator-applet-developers/indicator-sound/trunk.13.04
Vcs-Browser: https://bazaar.launchpad.net/~indicator-applet-developers/indicator-sound/trunk.13.04/files

Package: indicator-sound
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pulseaudio,
         gsettings-ubuntu-schemas (>= 0.0.1+14.04.20140224),
Recommends: unity-control-center | gnome-control-center | ubuntu-system-settings | pavucontrol,
            accountsservice,
Suggests: unity-greeter-session-broadcast,
Description: System sound indicator.
 System sound indicator which provides easy control of the PulseAudio sound 
 daemon.

=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh $@ --parallel --fail-missing --with translations

override_dh_auto_configure:
	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
	# So until Debian bug 719148 is fixed, do it ourselves.
	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var"

override_dh_install:
	mkdir -p debian/indicator-sound/usr/share/apport/package-hooks/
	install -m 644 debian/source_indicator-sound.py debian/indicator-sound/usr/share/apport/package-hooks/
	mkdir -p debian/indicator-sound/etc/apport/crashdb.conf.d/
	install -m 644 debian/indicator-sound-crashdb.conf debian/indicator-sound/etc/apport/crashdb.conf.d/
	dh_install --fail-missing

## indicator-sound 12.10.2+14.10.20141010

=== src/CMakeLists.txt ===

###########################
# Vala Generation
###########################

set(HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.h")
set(SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.def")
set(VAPI_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.vapi")

vapi_gen(accounts-service
	LIBRARY
		accounts-service
	PACKAGES
		gio-2.0
	INPUT
		/usr/share/gir-1.0/AccountsService-1.0.gir
)

vala_init(indicator-sound-service
  DEPENDS
    accounts-service
  PACKAGES
    config
    gee-1.0
    gio-2.0
    gio-unix-2.0
    libxml-2.0
    libpulse
    libpulse-mainloop-glib
    libnotify
    accounts-service
  OPTIONS
    --ccode
    --thread
    --vapidir=${CMAKE_SOURCE_DIR}/vapi/
    --vapidir=.
    --pkg=url-dispatcher
    --pkg=bus-watcher
)

vala_add(indicator-sound-service
  service.vala
  DEPENDS
    sound-menu
    volume-control
    media-player
    media-player-list
    mpris2-interfaces
    accounts-service-user
)
vala_add(indicator-sound-service
  volume-control.vala
)
vala_add(indicator-sound-service
  media-player.vala
)
vala_add(indicator-sound-service
  media-player-mpris.vala
  DEPENDS
    media-player
    mpris2-interfaces
)
vala_add(indicator-sound-service
  media-player-user.vala
  DEPENDS
    media-player
	accounts-service-sound-settings
    greeter-broadcast
)
vala_add(indicator-sound-service
  media-player-list.vala
  DEPENDS
    media-player
)
vala_add(indicator-sound-service
  media-player-list-mpris.vala
  DEPENDS
    media-player-list
    media-player
    media-player-mpris
    mpris2-interfaces
)
vala_add(indicator-sound-service
  media-player-list-greeter.vala
  DEPENDS
    media-player-list
    media-player-user
    media-player
)
vala_add(indicator-sound-service
  mpris2-interfaces.vala
)
vala_add(indicator-sound-service
  freedesktop-interfaces.vala
)
vala_add(indicator-sound-service
  sound-menu.vala
  DEPENDS
    media-player
)
vala_add(indicator-sound-service
  accounts-service-user.vala
  DEPENDS
    media-player
    mpris2-interfaces
    accounts-service-sound-settings
    accounts-service-privacy-settings
    accounts-service-system-sound-settings
    greeter-broadcast
)
vala_add(indicator-sound-service
  accounts-service-sound-settings.vala
)
vala_add(indicator-sound-service
  accounts-service-privacy-settings.vala
)
vala_add(indicator-sound-service
  accounts-service-system-sound-settings.vala
)
vala_add(indicator-sound-service
  greeter-broadcast.vala
)

vala_finish(indicator-sound-service
  SOURCES
    project_VALA_SOURCES
  OUTPUTS
    project_VALA_C
  GENERATE_HEADER
    ${HEADER_PATH}
  GENERATE_SYMBOLS
    ${SYMBOLS_PATH}
  GENERATE_VAPI
    ${VAPI_PATH}
)

set_source_files_properties(
  ${project_VALA_SOURCES}
  PROPERTIES
  HEADER_FILE_ONLY TRUE
)

set(
  INDICATOR_SOUND_SOURCES
  ${project_VALA_SOURCES}
  ${project_VALA_C}
  bus-watch-namespace.c
  ${SYMBOLS_PATH}
)

###########################
# Lib
###########################

add_definitions(
  -w
)

add_library(
	indicator-sound-service-lib STATIC
	${INDICATOR_SOUND_SOURCES}
)

target_link_libraries(
  indicator-sound-service-lib
  ${PULSEAUDIO_LIBRARIES}
  ${SOUNDSERVICE_LIBRARIES}
)

###########################
# Executable
###########################

include_directories(${CMAKE_BINARY_DIR})

add_executable(
  indicator-sound-service-bin
  main.c
)

set_target_properties(
  indicator-sound-service-bin
  PROPERTIES
  OUTPUT_NAME "indicator-sound-service"
)

target_link_libraries(
  indicator-sound-service-bin
  indicator-sound-service-lib
)

###########################
# Installation
###########################

install(
  TARGETS indicator-sound-service-bin
  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/indicator-sound/
)

## indicator-sound 12.10.2+15.10.20150915

=== CMakeLists.txt ===
project(indicator-sound C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(GETTEXT_PACKAGE indicator-sound)
set(GNOMELOCALEDIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")

add_definitions( -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" )

find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)
include(Coverage)
include(UseVala)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version") 
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_BINARY_DIR}/src")

set(PULSE_AUDIO_REQUIRED_VERSION 0.9.19)
set(GIO_2_0_REQUIRED_VERSION 2.25.13)
set(URL_DISPATCHER_1_REQUIRED_VERSION 1)

pkg_check_modules(
  PULSEAUDIO REQUIRED
  libpulse-mainloop-glib>=${PULSE_AUDIO_REQUIRED_VERSION}
  gio-unix-2.0>=${GIO_2_0_REQUIRED_VERSION}
  url-dispatcher-1>=${URL_DISPATCHER_1_REQUIRED_VERSION}
)
include_directories(${PULSEAUDIO_INCLUDE_DIRS})

pkg_check_modules(
  SOUNDSERVICE REQUIRED
  gee-1.0
  gio-2.0>=${GIO_2_0_REQUIRED_VERSION}
  gio-unix-2.0
  gthread-2.0
  libxml-2.0
  libnotify
  accountsservice
)
include_directories(${SOUNDSERVICE_INCLUDE_DIRS})

pkg_check_modules(
  TEST REQUIRED
  dbustest-1>=15.04.0
)
include_directories(${TEST_INCLUDE_DIRS})

find_package(Vala 0.20)

find_package(GObjectIntrospection 0.9.12)

include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_definitions(
  -Wall
)

configure_file(
  "config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

add_subdirectory(data)
add_subdirectory(src)

enable_testing()

set (GTEST_SOURCE_DIR /usr/src/gtest/src)
set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
set (GTEST_LIBS -lpthread)

add_subdirectory(tests)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
   DEPENDS
     sound-menu
     volume-control
+    volume-control-pulse
     media-player
     media-player-list
     mpris2-interfaces
@@ -50,6 +51,11 @@
 )
 vala_add(indicator-sound-service
   volume-control.vala
+)
+vala_add(indicator-sound-service
+  volume-control-pulse.vala
+  DEPENDS
+    volume-control
 )
 vala_add(indicator-sound-service
   media-player.vala
@@ -154,6 +160,7 @@
 
 add_definitions(
   -w
+  -DG_LOG_DOMAIN="indicator-sound"
 )
 
 add_library(
@@ -163,8 +170,8 @@
 
 target_link_libraries(
   indicator-sound-service-lib
-  ${PULSEAUDIO_LIBRARIES}
   ${SOUNDSERVICE_LIBRARIES}
+  -lm
 )
 
 ###########################
@@ -187,6 +194,7 @@
 target_link_libraries(
   indicator-sound-service-bin
   indicator-sound-service-lib
+  ${PULSEAUDIO_LIBRARIES}
 )
 
 ###########################

=== tests/CMakeLists.txt ===

###########################
# Google Test
###########################

include_directories(${GTEST_INCLUDE_DIR})

add_library (gtest STATIC
             ${GTEST_SOURCE_DIR}/gtest-all.cc
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
target_link_libraries(gtest ${GTEST_LIBS})

###########################
# GSettings Schema
###########################

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the indicator-sound schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.sound.gschema.xml
                    COMMAND mkdir -p ${SCHEMA_DIR}
                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

###########################
# Vala Mocks
###########################

set(VALA_MOCKS_HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/vala-mocks.h")
set(VALA_MOCKS_SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/vala-mocks.def")

vala_init(vala-mocks
	DEPENDS
		indicator-sound-service-lib
	PACKAGES
		config
		gio-2.0
		gio-unix-2.0
		libxml-2.0
		libpulse
		libpulse-mainloop-glib
		libnotify
		accounts-service
		indicator-sound-service
	OPTIONS
		--ccode
		--thread
		--vapidir=${CMAKE_BINARY_DIR}/src/
		--vapidir=${CMAKE_SOURCE_DIR}/vapi/
		--vapidir=.
)

vala_add(vala-mocks
	media-player-mock.vala
)

vala_add(vala-mocks
	media-player-list-mock.vala
)

vala_add(vala-mocks
	volume-control-mock.vala
)

vala_finish(vala-mocks
	SOURCES
		vala_mocks_VALA_SOURCES
	OUTPUTS
		vala_mocks_VALA_C
	GENERATE_HEADER
		${VALA_MOCKS_HEADER_PATH}
	GENERATE_SYMBOLS
		${VALA_MOCKS_SYMBOLS_PATH}
)

set_source_files_properties(
	${vala_mocks_VALA_SOURCES}
	PROPERTIES
	HEADER_FILE_ONLY TRUE
)

set(
	VALA_MOCKS_SOURCES
	${vala_mocks_VALA_SOURCES}
	${vala_mocks_VALA_C}
	${VALA_MOCKS_SYMBOLS_PATH}
)

add_definitions(
	-Wno-unused-but-set-variable
)

add_library(
	vala-mocks-lib STATIC
	${VALA_MOCKS_SOURCES}
)

target_link_libraries(
	vala-mocks-lib
	indicator-sound-service-lib
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

###########################
# Pulse Mock
###########################

add_library(
	pulse-mock
	SHARED
	pa-mock.cpp
)

target_link_libraries (pulse-mock ${PULSEAUDIO_LIBRARIES})

###########################
# Name Watch Test
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (name-watch-test name-watch-test.cc ${CMAKE_SOURCE_DIR}/src/bus-watch-namespace.c)
target_link_libraries (name-watch-test gtest ${SOUNDSERVICE_LIBRARIES})
add_test(name-watch-test name-watch-test)

###########################
# Accounts Service User
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (accounts-service-user-test accounts-service-user.cc)
target_link_libraries (
	accounts-service-user-test
	indicator-sound-service-lib
	vala-mocks-lib
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(accounts-service-user-test-basic
	accounts-service-user-test  --gtest_filter=AccountsServiceUserTest.BasicObject
)

add_test(accounts-service-user-test-player
	accounts-service-user-test  --gtest_filter=AccountsServiceUserTest.SetMediaPlayer
)

###########################
# Volume Control
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (volume-control-test volume-control-test.cc gschemas.compiled)
target_link_libraries (
	volume-control-test
	indicator-sound-service-lib
	pulse-mock
	gtest
	${TEST_LIBRARIES}
)

add_test(volume-control-test volume-control-test)

###########################
# Sound Menu
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (sound-menu-test sound-menu.cc)
target_link_libraries (
	sound-menu-test
	indicator-sound-service-lib
	vala-mocks-lib
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

add_test(sound-menu-test sound-menu-test)

###########################
# Notification Test
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (notifications-test notifications-test.cc)
target_link_libraries (
	notifications-test
	indicator-sound-service-lib
	vala-mocks-lib
	pulse-mock
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

add_test(notifications-test notifications-test)

###########################
# Accounts Service User
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (media-player-user-test media-player-user.cc)
target_link_libraries (
	media-player-user-test
	indicator-sound-service-lib
	vala-mocks-lib
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(media-player-user-test-basic
	media-player-user-test  --gtest_filter=MediaPlayerUserTest.BasicObject
)
add_test(media-player-user-test-dataset
	media-player-user-test  --gtest_filter=MediaPlayerUserTest.DataSet
)
add_test(media-player-user-test-timeout
	media-player-user-test  --gtest_filter=MediaPlayerUserTest.TimeoutTest
)

###########################
# Greeter List
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (greeter-list-test greeter-list.cc)
target_link_libraries (
	greeter-list-test
	indicator-sound-service-lib
	vala-mocks-lib
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(greeter-list-test-basic
	greeter-list-test  --gtest_filter=GreeterListTest.BasicObject
)
add_test(greeter-list-test-iterator
	greeter-list-test  --gtest_filter=GreeterListTest.BasicIterator
)

###########################
# Indicator Test
###########################

add_definitions(
	-DINDICATOR_SOUND_SERVICE_BINARY="${CMAKE_BINARY_DIR}/src/indicator-sound-service"
	-DPA_MOCK_LIB="${CMAKE_CURRENT_BINARY_DIR}/libpulse-mock.so"
)
add_executable (indicator-test indicator-test.cc gschemas.compiled)
target_link_libraries (
	indicator-test
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(indcator-test
	indicator-test
)

## indicator-sound 12.10.2+16.04.20160406

=== CMakeLists.txt ===

###########################
# Google Test
###########################

include_directories(${GTEST_INCLUDE_DIR})

add_library (gtest-static STATIC
             ${GTEST_SOURCE_DIR}/gtest-all.cc
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
target_link_libraries(gtest-static ${GTEST_LIBS})

###########################
# GSettings Schema
###########################

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the indicator-sound schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (XDG_DATA_DIRS "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
set (SCHEMA_DIR "${XDG_DATA_DIRS}/glib-2.0/schemas")
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.sound.gschema.xml
                    COMMAND mkdir -p ${SCHEMA_DIR}
                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND cp -f /usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

###########################
# Vala Mocks
###########################

set(VALA_MOCKS_HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/vala-mocks.h")
set(VALA_MOCKS_SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/vala-mocks.def")

vala_init(vala-mocks
    DEPENDS
        indicator-sound-service-lib
    PACKAGES
        config
        gio-2.0
        gio-unix-2.0
        libxml-2.0
        libpulse
        libpulse-mainloop-glib
        libnotify
        accounts-service
        indicator-sound-service
    OPTIONS
        --ccode
        --thread
        --vapidir=${CMAKE_BINARY_DIR}/src/
        --vapidir=${CMAKE_SOURCE_DIR}/vapi/
        --vapidir=.
)

vala_add(vala-mocks
    media-player-mock.vala
)

vala_add(vala-mocks
    media-player-list-mock.vala
)

vala_add(vala-mocks
    options-mock.vala
)

vala_add(vala-mocks
    volume-control-mock.vala
)

vala_add(vala-mocks
    volume-warning-mock.vala
)

vala_finish(vala-mocks
    SOURCES
        vala_mocks_VALA_SOURCES
    OUTPUTS
        vala_mocks_VALA_C
    GENERATE_HEADER
        ${VALA_MOCKS_HEADER_PATH}
    GENERATE_SYMBOLS
        ${VALA_MOCKS_SYMBOLS_PATH}
)

set_source_files_properties(
    ${vala_mocks_VALA_SOURCES}
    PROPERTIES
    HEADER_FILE_ONLY TRUE
)

set(
    VALA_MOCKS_SOURCES
    ${vala_mocks_VALA_SOURCES}
    ${vala_mocks_VALA_C}
    ${VALA_MOCKS_SYMBOLS_PATH}
)

add_definitions(
    -Wno-unused-but-set-variable
)

add_library(
    vala-mocks-lib STATIC
    ${VALA_MOCKS_SOURCES}
)

target_link_libraries(
    vala-mocks-lib
    indicator-sound-service-lib
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

###########################
# Pulse Mock
###########################

add_library(
    pulse-mock
    SHARED
    pa-mock.cpp
)

target_link_libraries (pulse-mock ${PULSEAUDIO_LIBRARIES})

###########################
# Name Watch Test
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (name-watch-test name-watch-test.cc ${CMAKE_SOURCE_DIR}/src/bus-watch-namespace.c)
target_link_libraries (name-watch-test gtest-static ${SOUNDSERVICE_LIBRARIES})
add_test(name-watch-test name-watch-test)

###########################
# Accounts Service User
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (accounts-service-user-test accounts-service-user.cc)
target_link_libraries (
    accounts-service-user-test
    indicator-sound-service-lib
    vala-mocks-lib
    gtest-static
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(accounts-service-user-test-basic
    accounts-service-user-test  --gtest_filter=AccountsServiceUserTest.BasicObject
)

add_test(accounts-service-user-test-player
    accounts-service-user-test  --gtest_filter=AccountsServiceUserTest.SetMediaPlayer
)

###########################
# Volume Control
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (volume-control-test volume-control-test.cc gschemas.compiled)
target_link_libraries (
    volume-control-test
    indicator-sound-service-lib
    vala-mocks-lib
    pulse-mock
    gtest-static
    ${TEST_LIBRARIES}
)

add_test(volume-control-test volume-control-test)

###########################
# Sound Menu
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (sound-menu-test sound-menu.cc)
target_link_libraries (
    sound-menu-test
    indicator-sound-service-lib
    vala-mocks-lib
    gtest-static
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
)

add_test(sound-menu-test sound-menu-test)

###########################
# Notification Test
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (notifications-test notifications-test.cc)
target_link_libraries (
    notifications-test
    indicator-sound-service-lib
    vala-mocks-lib
    pulse-mock
    gtest-static
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
)

add_test(notifications-test notifications-test)

###########################
# Accounts Service User
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (media-player-user-test media-player-user.cc)
target_link_libraries (
    media-player-user-test
    indicator-sound-service-lib
    vala-mocks-lib
    gtest-static
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(media-player-user-test-basic
    media-player-user-test  --gtest_filter=MediaPlayerUserTest.BasicObject
)
add_test(media-player-user-test-dataset
    media-player-user-test  --gtest_filter=MediaPlayerUserTest.DataSet
)
add_test(media-player-user-test-timeout
    media-player-user-test  --gtest_filter=MediaPlayerUserTest.TimeoutTest
)

###########################
# Greeter List
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (greeter-list-test greeter-list.cc)
target_link_libraries (
    greeter-list-test
    indicator-sound-service-lib
    vala-mocks-lib
    gtest-static
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(greeter-list-test-basic
    greeter-list-test  --gtest_filter=GreeterListTest.BasicObject
)
add_test(greeter-list-test-iterator
    greeter-list-test  --gtest_filter=GreeterListTest.BasicIterator
)

###########################
# Indicator Test
###########################

add_definitions(
    -DINDICATOR_SOUND_SERVICE_BINARY="${CMAKE_BINARY_DIR}/src/indicator-sound-service"
    -DPA_MOCK_LIB="${CMAKE_CURRENT_BINARY_DIR}/libpulse-mock.so"
)
add_executable (indicator-test indicator-test.cc gschemas.compiled)
target_link_libraries (
    indicator-test
    gtest-static
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(indcator-test
    indicator-test
)

add_subdirectory(integration)
add_subdirectory(dbus-types)
add_subdirectory(service-mocks)

=== gmenuharness/CMakeLists.txt ===
pkg_check_modules(UNITY_API libunity-api>=0.1.3 REQUIRED)
include_directories(${UNITY_API_INCLUDE_DIRS})

include_directories("${CMAKE_SOURCE_DIR}/include")

add_library(
    gmenuharness-shared SHARED
    MatchResult.cpp
    MatchUtils.cpp
    MenuItemMatcher.cpp
    MenuMatcher.cpp
)

target_link_libraries(
    gmenuharness-shared
    ${GLIB_LDFLAGS}
)

=== integration/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include(FindGMock)

#pkg_check_modules(GMENUHARNESS REQUIRED libgmenuharness REQUIRED)
#include_directories(${GMENUHARNESS_INCLUDE_DIRS})
include_directories("${CMAKE_SOURCE_DIR}/include")

pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
include_directories(${QTDBUSTEST_INCLUDE_DIRS})

pkg_check_modules(QTDBUSMOCK REQUIRED libqtdbusmock-1 REQUIRED)
include_directories(${QTDBUSMOCK_INCLUDE_DIRS})

find_package(Qt5Test REQUIRED)
include_directories(${Qt5Test_INCLUDE_DIRS})

find_package(Qt5DBus REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

include_directories("${CMAKE_SOURCE_DIR}/tests/dbus-types")
include_directories("${CMAKE_BINARY_DIR}/tests/dbus-types")

add_definitions(-DSOUND_SERVICE_BIN="${CMAKE_BINARY_DIR}/src/indicator-sound-service"
                -DSTREAM_RESTORE_TABLE="${CMAKE_SOURCE_DIR}/tests/integration/touch-stream-restore.table"
                -DVOLUME_SET_BIN="${CMAKE_BINARY_DIR}/tests/integration/set-volume"
                -DACCOUNTS_SERVICE_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/accounts-mock/accounts-service-sound"
                -DMEDIA_PLAYER_MPRIS_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/media-player-mpris-mock/media-player-mpris-mock"
                -DMEDIA_PLAYER_MPRIS_UPDATE_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/media-player-mpris-mock/media-player-mpris-mock-update"
                -DTEST_SOUND="${CMAKE_SOURCE_DIR}/tests/integration/test-sound.wav"
                -DQT_NO_KEYWORDS=1
                -DXDG_DATA_DIRS="${XDG_DATA_DIRS}"
)

set(GLIB_REQUIRED_VERSION 2.26)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0>=${GLIB_REQUIRED_VERSION}
  gio-2.0>=${GLIB_REQUIRED_VERSION}
)
include_directories(${GLIB_INCLUDE_DIRS})

set(
    INTEGRATION_TESTS_SRC
    indicator-sound-test-base.cpp
    test-indicator.cpp
    utils/dbus-pulse-volume.cpp
    main.cpp
)

add_executable(
    integration-tests
    ${INTEGRATION_TESTS_SRC}
)

qt5_use_modules(
    integration-tests
    Core
    DBus
    Test
)

target_link_libraries(
    integration-tests
    sound-indicator-dbus-interfaces
    ${QTDBUSMOCK_LDFLAGS}
    ${QTDBUSTEST_LDFLAGS}
    ${GTEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
#    ${GMENUHARNESS_LDFLAGS}
    ${GLIB_LDFLAGS}
    gmenuharness-shared
)

add_test(
    integration-tests
    integration-tests
)

set(
    SET-VOLUME-SRC
    utils/dbus-pulse-volume.cpp
    utils/set-volume.cpp
)

set(
    GET-VOLUME-SRC
    utils/dbus-pulse-volume.cpp
    utils/get-volume.cpp
)

add_executable(
    set-volume
    ${SET-VOLUME-SRC}
)

add_executable(
    get-volume
    ${GET-VOLUME-SRC}
)

qt5_use_modules(
    set-volume
    Core
    DBus
    Test
)

qt5_use_modules(
    get-volume
    Core
    DBus
    Test
)

target_link_libraries(
    get-volume
    sound-indicator-dbus-interfaces
)

target_link_libraries(
    set-volume
    sound-indicator-dbus-interfaces
)

#add_subdirectory(utils)

## indicator-sound 12.10.2+16.04.20160714-1linuxmint1

=== tests/dbus-types/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5DBus REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

add_definitions(-DQT_NO_KEYWORDS=1)

set(dbusinterface_streamrestore_xml "org.PulseAudio.Ext.StreamRestore1.xml")
set_source_files_properties(${dbusinterface_streamrestore_xml} PROPERTIES
  CLASSNAME StreamRestoreInterface)

set(dbusinterface_accounts_xml "org.freedesktop.Accounts.xml")
set_source_files_properties(${dbusinterface_accounts_xml} PROPERTIES
  CLASSNAME AccountsInterface)

set(dbusinterface_accountssound_xml "com.ubuntu.AccountsService.Sound.xml")
set_source_files_properties(${dbusinterface_accountssound_xml} PROPERTIES
  CLASSNAME AccountsSoundInterface)

set(dbusinterface_properties_xml "org.freedesktop.DBus.Properties.xml")
set_source_files_properties(${dbusinterface_properties_xml} PROPERTIES
  CLASSNAME DBusPropertiesInterface
  NO_NAMESPACE YES
  INCLUDE "dbus-types.h")

set(dbusinterface_actions_xml "org.gtk.Actions.xml")
set_source_files_properties(${dbusinterface_actions_xml} PROPERTIES
  CLASSNAME MenusInterface
  INCLUDE "dbus-action-result.h")

set(dbusinterface_notifications_xml "org.freedesktop.Notifications.xml")
set_source_files_properties(${dbusinterface_notifications_xml} PROPERTIES
  CLASSNAME NotificationsInterface)

qt5_add_dbus_interface(interface_files ${dbusinterface_streamrestore_xml} stream_restore_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_properties_xml} dbus_properties_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_accounts_xml} dbus_accounts_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_accountssound_xml} dbus_accountssound_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_actions_xml} dbus_menus_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_notifications_xml} dbus_notifications_interface)

add_library(
  sound-indicator-dbus-interfaces
  STATIC
  ${interface_files}
  pulseaudio-volume.cpp
  dbus-action-result.cpp
)

qt5_use_modules(
    sound-indicator-dbus-interfaces
    Core
    DBus
)

=== debian/changelog ===
indicator-sound (12.10.2+16.04.20160714-1linuxmint1) sarah; urgency=medium

  * Use pavucontrol if it's installed.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jul 2016 12:18:11 +0200

indicator-sound (12.10.2+16.04.20160406-0ubuntu1) xenial; urgency=medium

  * Support multiple desktop names in $XDG_CURRENT_DESKTOP. (LP:
    #1502480)

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 06 Apr 2016 19:05:13 +0000

indicator-sound (12.10.2+16.04.20160317.1-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * Changed to code to get the root icon. Now it does not take into
    account the source output, as in fact that code was not
    differentiating between any particular case. The code was added in
    the past in the case that we should differentiate between bluetooth,
    headphones, etc... but it was never used. (LP: #1555831)

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Thu, 17 Mar 2016 10:06:26 +0000

indicator-sound (12.10.2+16.04.20160307-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * Add changes to show up the microphone controls when an external
    microphone is detected.
  * This branch sets the last running player using accounts service
    instead of gsettings. It also includes a new class
    AccountsServiceAccess, to centralize all accesses to account service
    properties.
  * To avoid going too below the warning level we set the volume when
    showing the warning dialog to the loud_volume level.

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Mon, 07 Mar 2016 10:13:55 +0000

indicator-sound (12.10.2+16.04.20160216-0ubuntu1) xenial; urgency=medium

  [ Matthias Klose ]
  * Build using libgee-0.8-dev instead of libgee-dev (LP: #1502094)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 16 Feb 2016 15:44:36 +0000

indicator-sound (12.10.2+16.04.20160210-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * This branch modifies the sound indicator on the desktop to only show
    the playback controls for those players that are active or (if any
    is running) the last one being active. (LP: #1213907)

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Wed, 10 Feb 2016 13:22:08 +0000

indicator-sound (12.10.2+16.04.20160120-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * Fixing the playback controls when we have the playlist as the last
    item in the player section. As number of items was 3 when having the
    playlist section we were not updating the player controls and the
    next/previous buttons were not working at all. (LP: #1245495)

 -- Xavi Garcia <xavi.garcia.mena@canonical.com>  Wed, 20 Jan 2016 17:31:39 +0000

indicator-sound (12.10.2+16.04.20160113.1-0ubuntu1) xenial; urgency=medium

  [ Charles Kerr ]
  * Be more selective about when to show and dismiss the High Volume
    Warning Dialog. (LP: #1504065)

  [ charles kerr ]
  * Be more selective about when to show and dismiss the High Volume
    Warning Dialog. (LP: #1504065)

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 13 Jan 2016 20:37:58 +0000

indicator-sound (12.10.2+16.04.20160105.2-0ubuntu1) xenial; urgency=medium

  [ Xavi Garcia Mena ]
  * Adds an action to signal the UI to sync the current volume when we
    are waiting for the user to confirm or reject the high volume
    notification. (LP: #1520548, #1512798)
  * This branch just readds the OSD notifications code, that was
    reverted in trunk as the corresponding silo was also rolled back
    after landing.
  * This branch re-adds the integration tests using gmenuharness.  Added
    OSD notifications to show output source when the volume or source
    change (LP: #1382548, LP: #1415480, LP: #1484589)  debian/control:
    Added the following build dependencies: cmake-extras (>= 0.4),
    google-mock (>= 1.6.0+svn437), libqtdbusmock1-dev (>= 0.3),
    libqtdbustest1-dev, libunity-api-dev, pulseaudio, qt5-default,
    qtbase5-dev, qtbase5-dev-tools, qtdeclarative5-dev, qtdeclarative5-
    dev-tools Added gmenuharness library for integration tests support.
    New Files: src/gmenuharness/CMakeLists.txt
    src/gmenuharness/MatchResult.cpp src/gmenuharness/MatchUtils.cpp
    src/gmenuharness/MenuItemMatcher.cpp
    src/gmenuharness/MenuMatcher.cpp
    include/unity/gmenuharness/MatchResult.h
    include/unity/gmenuharness/MatchUtils.h
    include/unity/gmenuharness/MenuItemMatcher.h
    include/unity/gmenuharness/MenuMatcher.h Added integration tests
    using gmenuharness New Files: tests/dbus-types/CMakeLists.txt
    tests/dbus-types/com.ubuntu.AccountsService.Sound.xml tests/dbus-
    types/dbus-types.h tests/dbus-
    types/org.PulseAudio.Ext.StreamRestore1.xml tests/dbus-
    types/org.freedesktop.Accounts.xml tests/dbus-
    types/org.freedesktop.DBus.Properties.xml tests/dbus-
    types/org.freedesktop.Notifications.xml tests/dbus-
    types/org.gtk.Actions.xml tests/dbus-types/pulseaudio-volume.cpp
    tests/dbus-types/pulseaudio-volume.h
    tests/integration/CMakeLists.txt tests/integration/indicator-sound-
    test-base.cpp tests/integration/indicator-sound-test-base.h
    tests/integration/main.cpp tests/integration/test-indicator.cpp
    tests/integration/touch-stream-restore.table
    tests/integration/utils/dbus-pulse-volume.cpp
    tests/integration/utils/dbus-pulse-volume.h
    tests/integration/utils/get-volume.cpp tests/integration/utils/set-
    volume.cpp tests/service-mocks/CMakeLists.txt tests/service-
    mocks/DBusPropertiesNotifier.cpp tests/service-
    mocks/DBusPropertiesNotifier.h tests/service-mocks/accounts-
    mock/AccountsDefs.h tests/service-mocks/accounts-
    mock/AccountsMock.cpp tests/service-mocks/accounts-
    mock/AccountsMock.h tests/service-mocks/accounts-
    mock/AccountsServiceSoundMock.cpp tests/service-mocks/accounts-
    mock/AccountsServiceSoundMock.h tests/service-mocks/accounts-
    mock/CMakeLists.txt tests/service-mocks/accounts-
    mock/com.ubuntu.AccountsService.Sound.Mock.xml tests/service-


=== debian/control ===
--- 
+++ 
@@ -5,25 +5,37 @@
 XSBC-Original-Maintainer: Conor Curran <conor.curran@canonical.com>
 Build-Depends: debhelper (>= 9.0),
                cmake,
+               cmake-extras (>= 0.4),
                dbus,
-               dbus-test-runner (>= 14.04.0+14.04.20140226),
+               dbus-test-runner (>> 14.04.0+14.04.20150120.1),
                dh-translations,
                gir1.2-accountsservice-1.0,
                gnome-common,
+               google-mock (>= 1.6.0+svn437),
+               gsettings-ubuntu-schemas,
                autotools-dev,
                valac (>= 0.20),
                libaccountsservice-dev,
-               libdbustest1-dev (>= 14.04.1),
+               libdbustest1-dev (>= 15.04.0),
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.22.3),
+               libglib2.0-dev (>= 2.32.0),
                libgtest-dev,
+               libqtdbusmock1-dev (>= 0.3),
+               libqtdbustest1-dev,
+               libunity-api-dev,
                liburl-dispatcher1-dev,
-               libpulse-dev (>= 0.9.18),
+               libpulse-dev (>= 1:4.0-0ubuntu21),
                libpulse-mainloop-glib0 (>= 0.9.18),
                libnotify-dev,
-               libgee-dev,
+               libgee-0.8-dev,
                libxml2-dev,
+               pulseaudio,
                python3-dbusmock,
+               qt5-default,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               qtdeclarative5-dev,
+               qtdeclarative5-dev-tools,
 Standards-Version: 3.9.4
 Homepage: https://launchpad.net/indicator-sound
 # If you aren't a member of ~indicator-applet-developers but need to upload
@@ -38,7 +50,7 @@
          ${misc:Depends},
          pulseaudio,
          gsettings-ubuntu-schemas (>= 0.0.1+14.04.20140224),
-Recommends: unity-control-center | gnome-control-center | ubuntu-system-settings | pavucontrol,
+Recommends: unity-control-center | gnome-control-center | ubuntu-system-settings | pavucontrol | mate-media,
             accountsservice,
 Suggests: unity-greeter-session-broadcast,
 Description: System sound indicator.

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,6 @@
 	install -m 644 debian/indicator-sound-crashdb.conf debian/indicator-sound/etc/apport/crashdb.conf.d/
 	dh_install --fail-missing
 
+# For live test logs:
+#override_dh_auto_test:
+#	ARGS=-V dh_auto_test

=== debian/watch ===
version=3
https://launchpad.net/indicator-sound/+download .*/indicator-sound-([0-9.]+)\.tar\.gz

## indicator-sound 12.10.2+17.04.20170328.1

=== integration/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,5 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
-
-include(FindGMock)
 
 #pkg_check_modules(GMENUHARNESS REQUIRED libgmenuharness REQUIRED)
 #include_directories(${GMENUHARNESS_INCLUDE_DIRS})
@@ -21,7 +19,6 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${GMOCK_INCLUDE_DIRS})
-include_directories(${GTEST_INCLUDE_DIRS})
 
 include_directories("${CMAKE_SOURCE_DIR}/tests/dbus-types")
 include_directories("${CMAKE_BINARY_DIR}/tests/dbus-types")
@@ -71,17 +68,31 @@
     sound-indicator-dbus-interfaces
     ${QTDBUSMOCK_LDFLAGS}
     ${QTDBUSTEST_LDFLAGS}
-    ${GTEST_LIBRARIES}
     ${GMOCK_LIBRARIES}
 #    ${GMENUHARNESS_LDFLAGS}
     ${GLIB_LDFLAGS}
     gmenuharness-shared
 )
 
-add_test(
+####
+## When building under jenkins, pulseuadio fails to start as there is no
+## /run/user tree, HOME directory is missing, and similar issues. So here
+## we check that we are the jenkins user, and avoid the integration tests,
+## until such time in future when we can run these tests in some different
+## manner to avoid needing to run pulseaudio in this way.
+####
+execute_process(
+  COMMAND whoami
+  OUTPUT_VARIABLE TESTS_USER
+  OUTPUT_STRIP_TRAILING_WHITESPACE
+)
+
+if(NOT "${TESTS_USER}" STREQUAL "jenkins")
+  add_test(
     integration-tests
     integration-tests
-)
+  )
+endif()
 
 set(
     SET-VOLUME-SRC
@@ -130,3 +141,10 @@
 )
 
 #add_subdirectory(utils)
+
+# coverage reporting
+set(COVERAGE_TEST_TARGETS
+  ${COVERAGE_TEST_TARGETS}
+  integration-tests
+  PARENT_SCOPE
+)
